Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/SelfTest/mkf.info
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/SelfTest/mkf.info	(revision 67)
+++ 	(revision )
@@ -1,81 +1,0 @@
-
-# Counter_0
-target_dep	all	Counter_0.ngc
-target_dep	Counter_0.ngc	Counter_0.prj
-target_dep	Counter_0.prj	Counter_0_Pack.vhdl Counter_0.vhdl
-
-# Counter_10
-target_dep	all	Counter_10.ngc
-target_dep	Counter_10.ngc	Counter_10.prj
-target_dep	Counter_10.prj	Counter_10_Pack.vhdl Counter_10.vhdl
-
-# Counter_11
-target_dep	all	Counter_11.ngc
-target_dep	Counter_11.ngc	Counter_11.prj
-target_dep	Counter_11.prj	Counter_11_Pack.vhdl Counter_11.vhdl
-
-# Counter_12
-target_dep	all	Counter_12.ngc
-target_dep	Counter_12.ngc	Counter_12.prj
-target_dep	Counter_12.prj	Counter_12_Pack.vhdl Counter_12.vhdl
-
-# Counter_13
-target_dep	all	Counter_13.ngc
-target_dep	Counter_13.ngc	Counter_13.prj
-target_dep	Counter_13.prj	Counter_13_Pack.vhdl Counter_13.vhdl
-
-# Counter_14
-target_dep	all	Counter_14.ngc
-target_dep	Counter_14.ngc	Counter_14.prj
-target_dep	Counter_14.prj	Counter_14_Pack.vhdl Counter_14.vhdl
-
-# Counter_15
-target_dep	all	Counter_15.ngc
-target_dep	Counter_15.ngc	Counter_15.prj
-target_dep	Counter_15.prj	Counter_15_Pack.vhdl Counter_15.vhdl
-
-# Counter_1
-target_dep	all	Counter_1.ngc
-target_dep	Counter_1.ngc	Counter_1.prj
-target_dep	Counter_1.prj	Counter_10_Pack.vhdl Counter_10.vhdl Counter_11_Pack.vhdl Counter_11.vhdl Counter_12_Pack.vhdl Counter_12.vhdl Counter_13_Pack.vhdl Counter_13.vhdl Counter_14_Pack.vhdl Counter_14.vhdl Counter_15_Pack.vhdl Counter_15.vhdl Counter_1_Pack.vhdl Counter_1.vhdl
-
-# Counter_2
-target_dep	all	Counter_2.ngc
-target_dep	Counter_2.ngc	Counter_2.prj
-target_dep	Counter_2.prj	Counter_2_Pack.vhdl Counter_2.vhdl
-
-# Counter_3
-target_dep	all	Counter_3.ngc
-target_dep	Counter_3.ngc	Counter_3.prj
-target_dep	Counter_3.prj	Counter_3_Pack.vhdl Counter_3.vhdl
-
-# Counter_4
-target_dep	all	Counter_4.ngc
-target_dep	Counter_4.ngc	Counter_4.prj
-target_dep	Counter_4.prj	Counter_4_Pack.vhdl Counter_4.vhdl
-
-# Counter_5
-target_dep	all	Counter_5.ngc
-target_dep	Counter_5.ngc	Counter_5.prj
-target_dep	Counter_5.prj	Counter_5_Pack.vhdl Counter_5.vhdl
-
-# Counter_6
-target_dep	all	Counter_6.ngc
-target_dep	Counter_6.ngc	Counter_6.prj
-target_dep	Counter_6.prj	Counter_6_Pack.vhdl Counter_6.vhdl
-
-# Counter_7
-target_dep	all	Counter_7.ngc
-target_dep	Counter_7.ngc	Counter_7.prj
-target_dep	Counter_7.prj	Counter_7_Pack.vhdl Counter_7.vhdl
-
-# Counter_8
-target_dep	all	Counter_8.ngc
-target_dep	Counter_8.ngc	Counter_8.prj
-target_dep	Counter_8.prj	Counter_8_Pack.vhdl Counter_8.vhdl
-
-# Counter_9
-target_dep	all	Counter_9.ngc
-target_dep	Counter_9.ngc	Counter_9.prj
-target_dep	Counter_9.prj	Counter_9_Pack.vhdl Counter_9.vhdl
-
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/config_size_queue_log2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/config_size_queue_log2.cfg	(revision 68)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/config_size_queue_log2.cfg	(revision 68)
@@ -0,0 +1,3 @@
+Queue
+1	32 	*2	#_size_queue	
+32	32	*2	#_size_data 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/config_size_queue_no_log2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/config_size_queue_no_log2.cfg	(revision 68)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/config_size_queue_no_log2.cfg	(revision 68)
@@ -0,0 +1,3 @@
+Queue
+3	256	*4	#_size_queue	
+32	32	*2	#_size_data 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/configuration.cfg	(revision 67)
+++ 	(revision )
@@ -1,3 +1,0 @@
-Queue
-3	256	*4	#_size_queue	
-32	32	*2	#_size_data 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/mkf.info
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/mkf.info	(revision 67)
+++ 	(revision )
@@ -1,26 +1,0 @@
-
-# Queue_0
-target_dep	all	Queue_0.ngc
-target_dep	Queue_0.ngc	Queue_0.prj
-target_dep	Queue_0.prj	Queue_0.vhdl Queue_0_Pack.vhdl
-
-# Queue_1
-target_dep	all	Queue_1.ngc
-target_dep	Queue_1.ngc	Queue_1.prj
-target_dep	Queue_1.prj	Queue_1.vhdl Queue_1_Pack.vhdl
-
-# Queue_2
-target_dep	all	Queue_2.ngc
-target_dep	Queue_2.ngc	Queue_2.prj
-target_dep	Queue_2.prj	Queue_2.vhdl Queue_2_Pack.vhdl
-
-# Queue_3
-target_dep	all	Queue_3.ngc
-target_dep	Queue_3.ngc	Queue_3.prj
-target_dep	Queue_3.prj	Queue_3.vhdl Queue_3_Pack.vhdl
-
-# Queue_4
-target_dep	all	Queue_4.ngc
-target_dep	Queue_4.ngc	Queue_4.prj
-target_dep	Queue_4.prj	Queue_4.vhdl Queue_4_Pack.vhdl
-
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue.cpp	(revision 67)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue.cpp	(revision 68)
@@ -42,43 +42,50 @@
 
 #ifdef STATISTICS
-    log_printf(INFO,Queue,FUNCTION,"Allocation of statistics");
-
-    // Allocation of statistics
-    _stat = new Statistics (static_cast<string>(_name),
-			    param_statistics          ,
-			    param);
+    if (_usage & USE_STATISTICS)
+      {	
+	log_printf(INFO,Queue,FUNCTION,"Allocation of statistics");
+	
+	// Allocation of statistics
+	_stat = new Statistics (static_cast<string>(_name),
+				param_statistics          ,
+				param);
+      }
 #endif
 
 #ifdef VHDL
-    // generate the vhdl
-    log_printf(INFO,Queue,FUNCTION,"Generate the vhdl");
-
-    vhdl();
+    if (_usage & USE_VHDL)
+      {
+	// generate the vhdl
+	log_printf(INFO,Queue,FUNCTION,"Generate the vhdl");
+	
+	vhdl();
+      }
 #endif
 
 #ifdef SYSTEMC
-//#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
-    log_printf(INFO,Queue,FUNCTION,"Method - transition");
-
-    SC_METHOD (transition);
-    dont_initialize ();
-    sensitive << (*(in_CLOCK)).pos();
-//#endif
-
+    if (_usage & USE_SYSTEMC)
+      {
+	log_printf(INFO,Queue,FUNCTION,"Method - transition");
+	
+	SC_METHOD (transition);
+	dont_initialize ();
+	sensitive << (*(in_CLOCK)).pos();
+	
 # ifdef SYSTEMCASS_SPECIFIC
-    // List dependency information
+	// List dependency information
 # endif    
-
-    log_printf(INFO,Queue,FUNCTION,"Method - genMoore");
-
-    SC_METHOD (genMoore);
-    dont_initialize ();
-    sensitive << (*(in_CLOCK)).neg();
-
+	
+	log_printf(INFO,Queue,FUNCTION,"Method - genMoore");
+	
+	SC_METHOD (genMoore);
+	dont_initialize ();
+	sensitive << (*(in_CLOCK)).neg();
+	
 # ifdef SYSTEMCASS_SPECIFIC
-    // List dependency information
+	// List dependency information
 # endif    
-
+	
 #endif
+      }
     log_printf(FUNC,Queue,FUNCTION,"End");
   };
@@ -91,8 +98,11 @@
 
 #ifdef STATISTICS
-    log_printf(INFO,Queue,FUNCTION,"Generate Statistics file");
-
-    _stat->generate_file(statistics(0));
-    delete _stat;
+    if (_usage & USE_STATISTICS)
+      {
+	log_printf(INFO,Queue,FUNCTION,"Generate Statistics file");
+	
+	_stat->generate_file(statistics(0));
+	delete _stat;
+      }
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_allocation.cpp	(revision 67)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_allocation.cpp	(revision 68)
@@ -23,5 +23,5 @@
     log_printf(FUNC,Queue,FUNCTION,"Begin");
 
-    _component   = new Component ();
+    _component   = new Component (_usage);
 
     Entity * entity = _component->set_entity (_name       
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_deallocation.cpp	(revision 67)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_deallocation.cpp	(revision 68)
@@ -20,15 +20,18 @@
     log_printf(FUNC,Queue,FUNCTION,"Begin");
 
-    delete    in_CLOCK ;
-    delete    in_NRESET;
-
-    delete    in_INSERT_VAL ;
-    delete   out_INSERT_ACK ;
-    delete    in_INSERT_DATA;
-
-    delete   out_RETIRE_VAL ;
-    delete    in_RETIRE_ACK ;
-    delete   out_RETIRE_DATA;
-
+    if (_usage & USE_SYSTEMC)
+      { 
+	delete    in_CLOCK ;
+	delete    in_NRESET;
+	
+	delete    in_INSERT_VAL ;
+	delete   out_INSERT_ACK ;
+	delete    in_INSERT_DATA;
+	
+	delete   out_RETIRE_VAL ;
+	delete    in_RETIRE_ACK ;
+	delete   out_RETIRE_DATA;
+	
+      }
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
     delete _queue_control;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_vhdl_body.cpp	(revision 67)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_vhdl_body.cpp	(revision 68)
@@ -62,5 +62,9 @@
 	if (is_log2(_param->_size_queue) == false)
 	  vhdl->set_body ("\tconst_PTR_INIT when reg_PTR_READ  = const_PTR_MAX else");
-	vhdl->set_body ("\treg_PTR_READ +'1';");
+
+	if (_param->_size_queue > 2)
+	  vhdl->set_body ("\treg_PTR_READ +'1';");
+	else
+	  vhdl->set_body ("\tnot reg_PTR_READ;");
       }
     vhdl->set_body ("");
@@ -73,5 +77,8 @@
 	if (is_log2(_param->_size_queue) == false)
 	  vhdl->set_body ("\tconst_PTR_INIT when reg_PTR_WRITE = const_PTR_MAX else");
-	vhdl->set_body ("\treg_PTR_WRITE+'1';");
+	if (_param->_size_queue > 2)
+	  vhdl->set_body ("\treg_PTR_WRITE+'1';");
+	else
+	  vhdl->set_body ("\tnot reg_PTR_WRITE;");
       }
     vhdl->set_body ("");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile.mkf
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile.mkf	(revision 67)
+++ 	(revision )
@@ -1,110 +1,0 @@
-#
-# Makefile generated by MKF configure script
-#
-
-all: RegisterFile_Monolithic_0.ngc RegisterFile_Monolithic_1.ngc RegisterFile_Monolithic_2.ngc RegisterFile_Monolithic_3.ngc RegisterFile_Monolithic_4.ngc RegisterFile_Monolithic_5.ngc RegisterFile_Monolithic_6.ngc
-
-RegisterFile_Monolithic_0.ngc: RegisterFile_Monolithic_0.prj
-	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_0 -ifn RegisterFile_Monolithic_0.prj -ofn RegisterFile_Monolithic_0.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst
-
-RegisterFile_Monolithic_0.prj: RegisterFile_Monolithic_0_Pack.vhdl RegisterFile_Monolithic_0.vhdl
-	for i in RegisterFile_Monolithic_0_Pack.vhdl RegisterFile_Monolithic_0.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_0.prj
-
-RegisterFile_Monolithic_0_Pack.vhdl:
-
-RegisterFile_Monolithic_0.vhdl:
-
-RegisterFile_Monolithic_1.ngc: RegisterFile_Monolithic_1.prj
-	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_1 -ifn RegisterFile_Monolithic_1.prj -ofn RegisterFile_Monolithic_1.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst
-
-RegisterFile_Monolithic_1.prj: RegisterFile_Monolithic_1_Pack.vhdl RegisterFile_Monolithic_1.vhdl
-	for i in RegisterFile_Monolithic_1_Pack.vhdl RegisterFile_Monolithic_1.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_1.prj
-
-RegisterFile_Monolithic_1_Pack.vhdl:
-
-RegisterFile_Monolithic_1.vhdl:
-
-RegisterFile_Monolithic_2.ngc: RegisterFile_Monolithic_2.prj
-	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_2 -ifn RegisterFile_Monolithic_2.prj -ofn RegisterFile_Monolithic_2.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst
-
-RegisterFile_Monolithic_2.prj: RegisterFile_Monolithic_2_Pack.vhdl RegisterFile_Monolithic_2.vhdl
-	for i in RegisterFile_Monolithic_2_Pack.vhdl RegisterFile_Monolithic_2.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_2.prj
-
-RegisterFile_Monolithic_2_Pack.vhdl:
-
-RegisterFile_Monolithic_2.vhdl:
-
-RegisterFile_Monolithic_3.ngc: RegisterFile_Monolithic_3.prj
-	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_3 -ifn RegisterFile_Monolithic_3.prj -ofn RegisterFile_Monolithic_3.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst
-
-RegisterFile_Monolithic_3.prj: RegisterFile_Monolithic_3_Pack.vhdl RegisterFile_Monolithic_3.vhdl
-	for i in RegisterFile_Monolithic_3_Pack.vhdl RegisterFile_Monolithic_3.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_3.prj
-
-RegisterFile_Monolithic_3_Pack.vhdl:
-
-RegisterFile_Monolithic_3.vhdl:
-
-RegisterFile_Monolithic_4.ngc: RegisterFile_Monolithic_4.prj
-	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_4 -ifn RegisterFile_Monolithic_4.prj -ofn RegisterFile_Monolithic_4.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst
-
-RegisterFile_Monolithic_4.prj: RegisterFile_Monolithic_4_Pack.vhdl RegisterFile_Monolithic_4.vhdl
-	for i in RegisterFile_Monolithic_4_Pack.vhdl RegisterFile_Monolithic_4.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_4.prj
-
-RegisterFile_Monolithic_4_Pack.vhdl:
-
-RegisterFile_Monolithic_4.vhdl:
-
-RegisterFile_Monolithic_5.ngc: RegisterFile_Monolithic_5.prj
-	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_5 -ifn RegisterFile_Monolithic_5.prj -ofn RegisterFile_Monolithic_5.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst
-
-RegisterFile_Monolithic_5.prj: RegisterFile_Monolithic_5_Pack.vhdl RegisterFile_Monolithic_5.vhdl
-	for i in RegisterFile_Monolithic_5_Pack.vhdl RegisterFile_Monolithic_5.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_5.prj
-
-RegisterFile_Monolithic_5_Pack.vhdl:
-
-RegisterFile_Monolithic_5.vhdl:
-
-RegisterFile_Monolithic_6.ngc: RegisterFile_Monolithic_6.prj
-	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_6 -ifn RegisterFile_Monolithic_6.prj -ofn RegisterFile_Monolithic_6.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst
-
-RegisterFile_Monolithic_6.prj: RegisterFile_Monolithic_6_Pack.vhdl RegisterFile_Monolithic_6.vhdl
-	for i in RegisterFile_Monolithic_6_Pack.vhdl RegisterFile_Monolithic_6.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_6.prj
-
-RegisterFile_Monolithic_6_Pack.vhdl:
-
-RegisterFile_Monolithic_6.vhdl:
-
-clean:
-	rm -f RegisterFile_Monolithic_0.ngc
-	rm -f RegisterFile_Monolithic_0.lso
-	rm -f -r xst
-	rm -f RegisterFile_Monolithic_0.prj
-	rm -f RegisterFile_Monolithic_1.ngc
-	rm -f RegisterFile_Monolithic_1.lso
-	rm -f -r xst
-	rm -f RegisterFile_Monolithic_1.prj
-	rm -f RegisterFile_Monolithic_2.ngc
-	rm -f RegisterFile_Monolithic_2.lso
-	rm -f -r xst
-	rm -f RegisterFile_Monolithic_2.prj
-	rm -f RegisterFile_Monolithic_3.ngc
-	rm -f RegisterFile_Monolithic_3.lso
-	rm -f -r xst
-	rm -f RegisterFile_Monolithic_3.prj
-	rm -f RegisterFile_Monolithic_4.ngc
-	rm -f RegisterFile_Monolithic_4.lso
-	rm -f -r xst
-	rm -f RegisterFile_Monolithic_4.prj
-	rm -f RegisterFile_Monolithic_5.ngc
-	rm -f RegisterFile_Monolithic_5.lso
-	rm -f -r xst
-	rm -f RegisterFile_Monolithic_5.prj
-	rm -f RegisterFile_Monolithic_6.ngc
-	rm -f RegisterFile_Monolithic_6.lso
-	rm -f -r xst
-	rm -f RegisterFile_Monolithic_6.prj
-
-re: clean all
-
-install:
-
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/mkf.info
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/mkf.info	(revision 67)
+++ 	(revision )
@@ -1,36 +1,0 @@
-
-# RegisterFile_Monolithic_0
-target_dep	all	RegisterFile_Monolithic_0.ngc
-target_dep	RegisterFile_Monolithic_0.ngc	RegisterFile_Monolithic_0.prj
-target_dep	RegisterFile_Monolithic_0.prj	RegisterFile_Monolithic_0_Pack.vhdl RegisterFile_Monolithic_0.vhdl
-
-# RegisterFile_Monolithic_1
-target_dep	all	RegisterFile_Monolithic_1.ngc
-target_dep	RegisterFile_Monolithic_1.ngc	RegisterFile_Monolithic_1.prj
-target_dep	RegisterFile_Monolithic_1.prj	RegisterFile_Monolithic_1_Pack.vhdl RegisterFile_Monolithic_1.vhdl
-
-# RegisterFile_Monolithic_2
-target_dep	all	RegisterFile_Monolithic_2.ngc
-target_dep	RegisterFile_Monolithic_2.ngc	RegisterFile_Monolithic_2.prj
-target_dep	RegisterFile_Monolithic_2.prj	RegisterFile_Monolithic_2_Pack.vhdl RegisterFile_Monolithic_2.vhdl
-
-# RegisterFile_Monolithic_3
-target_dep	all	RegisterFile_Monolithic_3.ngc
-target_dep	RegisterFile_Monolithic_3.ngc	RegisterFile_Monolithic_3.prj
-target_dep	RegisterFile_Monolithic_3.prj	RegisterFile_Monolithic_3_Pack.vhdl RegisterFile_Monolithic_3.vhdl
-
-# RegisterFile_Monolithic_4
-target_dep	all	RegisterFile_Monolithic_4.ngc
-target_dep	RegisterFile_Monolithic_4.ngc	RegisterFile_Monolithic_4.prj
-target_dep	RegisterFile_Monolithic_4.prj	RegisterFile_Monolithic_4_Pack.vhdl RegisterFile_Monolithic_4.vhdl
-
-# RegisterFile_Monolithic_5
-target_dep	all	RegisterFile_Monolithic_5.ngc
-target_dep	RegisterFile_Monolithic_5.ngc	RegisterFile_Monolithic_5.prj
-target_dep	RegisterFile_Monolithic_5.prj	RegisterFile_Monolithic_5_Pack.vhdl RegisterFile_Monolithic_5.vhdl
-
-# RegisterFile_Monolithic_6
-target_dep	all	RegisterFile_Monolithic_6.ngc
-target_dep	RegisterFile_Monolithic_6.ngc	RegisterFile_Monolithic_6.prj
-target_dep	RegisterFile_Monolithic_6.prj	RegisterFile_Monolithic_6_Pack.vhdl RegisterFile_Monolithic_6.vhdl
-
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/mkf.info
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/mkf.info	(revision 67)
+++ 	(revision )
@@ -1,31 +1,0 @@
-
-# RegisterFile_Multi_Banked_0
-target_dep	all	RegisterFile_Multi_Banked_0.ngc
-target_dep	RegisterFile_Multi_Banked_0.ngc	RegisterFile_Multi_Banked_0.prj
-target_dep	RegisterFile_Multi_Banked_0.prj	RegisterFile_Multi_Banked_0_bank_Pack.vhdl RegisterFile_Multi_Banked_0_bank.vhdl RegisterFile_Multi_Banked_0_Pack.vhdl RegisterFile_Multi_Banked_0_select_4_ports_Pack.vhdl RegisterFile_Multi_Banked_0_select_4_ports.vhdl RegisterFile_Multi_Banked_0.vhdl
-
-# RegisterFile_Multi_Banked_1
-target_dep	all	RegisterFile_Multi_Banked_1.ngc
-target_dep	RegisterFile_Multi_Banked_1.ngc	RegisterFile_Multi_Banked_1.prj
-target_dep	RegisterFile_Multi_Banked_1.prj	RegisterFile_Multi_Banked_1_bank_Pack.vhdl RegisterFile_Multi_Banked_1_bank.vhdl RegisterFile_Multi_Banked_1_Pack.vhdl RegisterFile_Multi_Banked_1_select_4_ports_Pack.vhdl RegisterFile_Multi_Banked_1_select_4_ports.vhdl RegisterFile_Multi_Banked_1.vhdl
-
-# RegisterFile_Multi_Banked_2
-target_dep	all	RegisterFile_Multi_Banked_2.ngc
-target_dep	RegisterFile_Multi_Banked_2.ngc	RegisterFile_Multi_Banked_2.prj
-target_dep	RegisterFile_Multi_Banked_2.prj	RegisterFile_Multi_Banked_2_bank_Pack.vhdl RegisterFile_Multi_Banked_2_bank.vhdl RegisterFile_Multi_Banked_2_Pack.vhdl RegisterFile_Multi_Banked_2_select_4_ports_Pack.vhdl RegisterFile_Multi_Banked_2_select_4_ports.vhdl RegisterFile_Multi_Banked_2.vhdl
-
-# RegisterFile_Multi_Banked_3
-target_dep	all	RegisterFile_Multi_Banked_3.ngc
-target_dep	RegisterFile_Multi_Banked_3.ngc	RegisterFile_Multi_Banked_3.prj
-target_dep	RegisterFile_Multi_Banked_3.prj	RegisterFile_Multi_Banked_3_bank_Pack.vhdl RegisterFile_Multi_Banked_3_bank.vhdl RegisterFile_Multi_Banked_3_Pack.vhdl RegisterFile_Multi_Banked_3_select_8_ports_Pack.vhdl RegisterFile_Multi_Banked_3_select_8_ports.vhdl RegisterFile_Multi_Banked_3.vhdl
-
-# RegisterFile_Multi_Banked_4
-target_dep	all	RegisterFile_Multi_Banked_4.ngc
-target_dep	RegisterFile_Multi_Banked_4.ngc	RegisterFile_Multi_Banked_4.prj
-target_dep	RegisterFile_Multi_Banked_4.prj	RegisterFile_Multi_Banked_4_bank_Pack.vhdl RegisterFile_Multi_Banked_4_bank.vhdl RegisterFile_Multi_Banked_4_Pack.vhdl RegisterFile_Multi_Banked_4_select_8_ports_Pack.vhdl RegisterFile_Multi_Banked_4_select_8_ports.vhdl RegisterFile_Multi_Banked_4.vhdl
-
-# RegisterFile_Multi_Banked_5
-target_dep	all	RegisterFile_Multi_Banked_5.ngc
-target_dep	RegisterFile_Multi_Banked_5.ngc	RegisterFile_Multi_Banked_5.prj
-target_dep	RegisterFile_Multi_Banked_5.prj	RegisterFile_Multi_Banked_5_bank_Pack.vhdl RegisterFile_Multi_Banked_5_bank.vhdl RegisterFile_Multi_Banked_5_Pack.vhdl RegisterFile_Multi_Banked_5_select_8_ports_Pack.vhdl RegisterFile_Multi_Banked_5_select_8_ports.vhdl RegisterFile_Multi_Banked_5.vhdl
-
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/mkf.info
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/mkf.info	(revision 67)
+++ 	(revision )
@@ -1,61 +1,0 @@
-
-# Select_Priority_Fixed_0
-target_dep	all	Select_Priority_Fixed_0.ngc
-target_dep	Select_Priority_Fixed_0.ngc	Select_Priority_Fixed_0.prj
-target_dep	Select_Priority_Fixed_0.prj	Select_Priority_Fixed_0.vhdl Select_Priority_Fixed_0_Pack.vhdl
-
-# Select_Priority_Fixed_1
-target_dep	all	Select_Priority_Fixed_1.ngc
-target_dep	Select_Priority_Fixed_1.ngc	Select_Priority_Fixed_1.prj
-target_dep	Select_Priority_Fixed_1.prj	Select_Priority_Fixed_1.vhdl Select_Priority_Fixed_10.vhdl Select_Priority_Fixed_10_Pack.vhdl Select_Priority_Fixed_11.vhdl Select_Priority_Fixed_11_Pack.vhdl Select_Priority_Fixed_1_Pack.vhdl
-
-# Select_Priority_Fixed_10
-target_dep	all	Select_Priority_Fixed_10.ngc
-target_dep	Select_Priority_Fixed_10.ngc	Select_Priority_Fixed_10.prj
-target_dep	Select_Priority_Fixed_10.prj	Select_Priority_Fixed_10.vhdl Select_Priority_Fixed_10_Pack.vhdl
-
-# Select_Priority_Fixed_11
-target_dep	all	Select_Priority_Fixed_11.ngc
-target_dep	Select_Priority_Fixed_11.ngc	Select_Priority_Fixed_11.prj
-target_dep	Select_Priority_Fixed_11.prj	Select_Priority_Fixed_11.vhdl Select_Priority_Fixed_11_Pack.vhdl
-
-# Select_Priority_Fixed_2
-target_dep	all	Select_Priority_Fixed_2.ngc
-target_dep	Select_Priority_Fixed_2.ngc	Select_Priority_Fixed_2.prj
-target_dep	Select_Priority_Fixed_2.prj	Select_Priority_Fixed_2.vhdl Select_Priority_Fixed_2_Pack.vhdl
-
-# Select_Priority_Fixed_3
-target_dep	all	Select_Priority_Fixed_3.ngc
-target_dep	Select_Priority_Fixed_3.ngc	Select_Priority_Fixed_3.prj
-target_dep	Select_Priority_Fixed_3.prj	Select_Priority_Fixed_3.vhdl Select_Priority_Fixed_3_Pack.vhdl
-
-# Select_Priority_Fixed_4
-target_dep	all	Select_Priority_Fixed_4.ngc
-target_dep	Select_Priority_Fixed_4.ngc	Select_Priority_Fixed_4.prj
-target_dep	Select_Priority_Fixed_4.prj	Select_Priority_Fixed_4.vhdl Select_Priority_Fixed_4_Pack.vhdl
-
-# Select_Priority_Fixed_5
-target_dep	all	Select_Priority_Fixed_5.ngc
-target_dep	Select_Priority_Fixed_5.ngc	Select_Priority_Fixed_5.prj
-target_dep	Select_Priority_Fixed_5.prj	Select_Priority_Fixed_5.vhdl Select_Priority_Fixed_5_Pack.vhdl
-
-# Select_Priority_Fixed_6
-target_dep	all	Select_Priority_Fixed_6.ngc
-target_dep	Select_Priority_Fixed_6.ngc	Select_Priority_Fixed_6.prj
-target_dep	Select_Priority_Fixed_6.prj	Select_Priority_Fixed_6.vhdl Select_Priority_Fixed_6_Pack.vhdl
-
-# Select_Priority_Fixed_7
-target_dep	all	Select_Priority_Fixed_7.ngc
-target_dep	Select_Priority_Fixed_7.ngc	Select_Priority_Fixed_7.prj
-target_dep	Select_Priority_Fixed_7.prj	Select_Priority_Fixed_7.vhdl Select_Priority_Fixed_7_Pack.vhdl
-
-# Select_Priority_Fixed_8
-target_dep	all	Select_Priority_Fixed_8.ngc
-target_dep	Select_Priority_Fixed_8.ngc	Select_Priority_Fixed_8.prj
-target_dep	Select_Priority_Fixed_8.prj	Select_Priority_Fixed_8.vhdl Select_Priority_Fixed_8_Pack.vhdl
-
-# Select_Priority_Fixed_9
-target_dep	all	Select_Priority_Fixed_9.ngc
-target_dep	Select_Priority_Fixed_9.ngc	Select_Priority_Fixed_9.prj
-target_dep	Select_Priority_Fixed_9.prj	Select_Priority_Fixed_9.vhdl Select_Priority_Fixed_9_Pack.vhdl
-
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 67)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 68)
@@ -40,10 +40,13 @@
 
 #ifdef STATISTICS
-    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Allocation of statistics");
-
-    // Allocation of statistics
-    _stat = new Statistics (static_cast<string>(_name),
-			    param_statistics          ,
-			    param);
+    if (_usage & USE_STATISTICS)
+      {
+	log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Allocation of statistics");
+	
+	// Allocation of statistics
+	_stat = new Statistics (static_cast<string>(_name),
+				param_statistics          ,
+				param);
+      }
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/mkf.info
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/mkf.info	(revision 67)
+++ 	(revision )
@@ -1,271 +1,0 @@
-
-# Shifter_0
-target_dep	all	Shifter_0.ngc
-target_dep	Shifter_0.ngc	Shifter_0.prj
-target_dep	Shifter_0.prj	Shifter_0_Pack.vhdl Shifter_0.vhdl
-
-# Shifter_10
-target_dep	all	Shifter_10.ngc
-target_dep	Shifter_10.ngc	Shifter_10.prj
-target_dep	Shifter_10.prj	Shifter_10_Pack.vhdl Shifter_10.vhdl
-
-# Shifter_11
-target_dep	all	Shifter_11.ngc
-target_dep	Shifter_11.ngc	Shifter_11.prj
-target_dep	Shifter_11.prj	Shifter_11_Pack.vhdl Shifter_11.vhdl
-
-# Shifter_12
-target_dep	all	Shifter_12.ngc
-target_dep	Shifter_12.ngc	Shifter_12.prj
-target_dep	Shifter_12.prj	Shifter_12_Pack.vhdl Shifter_12.vhdl
-
-# Shifter_13
-target_dep	all	Shifter_13.ngc
-target_dep	Shifter_13.ngc	Shifter_13.prj
-target_dep	Shifter_13.prj	Shifter_13_Pack.vhdl Shifter_13.vhdl
-
-# Shifter_14
-target_dep	all	Shifter_14.ngc
-target_dep	Shifter_14.ngc	Shifter_14.prj
-target_dep	Shifter_14.prj	Shifter_14_Pack.vhdl Shifter_14.vhdl
-
-# Shifter_15
-target_dep	all	Shifter_15.ngc
-target_dep	Shifter_15.ngc	Shifter_15.prj
-target_dep	Shifter_15.prj	Shifter_15_Pack.vhdl Shifter_15.vhdl
-
-# Shifter_16
-target_dep	all	Shifter_16.ngc
-target_dep	Shifter_16.ngc	Shifter_16.prj
-target_dep	Shifter_16.prj	Shifter_16_Pack.vhdl Shifter_16.vhdl
-
-# Shifter_17
-target_dep	all	Shifter_17.ngc
-target_dep	Shifter_17.ngc	Shifter_17.prj
-target_dep	Shifter_17.prj	Shifter_17_Pack.vhdl Shifter_17.vhdl
-
-# Shifter_18
-target_dep	all	Shifter_18.ngc
-target_dep	Shifter_18.ngc	Shifter_18.prj
-target_dep	Shifter_18.prj	Shifter_18_Pack.vhdl Shifter_18.vhdl
-
-# Shifter_19
-target_dep	all	Shifter_19.ngc
-target_dep	Shifter_19.ngc	Shifter_19.prj
-target_dep	Shifter_19.prj	Shifter_19_Pack.vhdl Shifter_19.vhdl
-
-# Shifter_1
-target_dep	all	Shifter_1.ngc
-target_dep	Shifter_1.ngc	Shifter_1.prj
-target_dep	Shifter_1.prj	Shifter_10_Pack.vhdl Shifter_10.vhdl Shifter_11_Pack.vhdl Shifter_11.vhdl Shifter_12_Pack.vhdl Shifter_12.vhdl Shifter_13_Pack.vhdl Shifter_13.vhdl Shifter_14_Pack.vhdl Shifter_14.vhdl Shifter_15_Pack.vhdl Shifter_15.vhdl Shifter_16_Pack.vhdl Shifter_16.vhdl Shifter_17_Pack.vhdl Shifter_17.vhdl Shifter_18_Pack.vhdl Shifter_18.vhdl Shifter_19_Pack.vhdl Shifter_19.vhdl Shifter_1_Pack.vhdl Shifter_1.vhdl
-
-# Shifter_20
-target_dep	all	Shifter_20.ngc
-target_dep	Shifter_20.ngc	Shifter_20.prj
-target_dep	Shifter_20.prj	Shifter_20_Pack.vhdl Shifter_20.vhdl
-
-# Shifter_21
-target_dep	all	Shifter_21.ngc
-target_dep	Shifter_21.ngc	Shifter_21.prj
-target_dep	Shifter_21.prj	Shifter_21_Pack.vhdl Shifter_21.vhdl
-
-# Shifter_22
-target_dep	all	Shifter_22.ngc
-target_dep	Shifter_22.ngc	Shifter_22.prj
-target_dep	Shifter_22.prj	Shifter_22_Pack.vhdl Shifter_22.vhdl
-
-# Shifter_23
-target_dep	all	Shifter_23.ngc
-target_dep	Shifter_23.ngc	Shifter_23.prj
-target_dep	Shifter_23.prj	Shifter_23_Pack.vhdl Shifter_23.vhdl
-
-# Shifter_24
-target_dep	all	Shifter_24.ngc
-target_dep	Shifter_24.ngc	Shifter_24.prj
-target_dep	Shifter_24.prj	Shifter_24_Pack.vhdl Shifter_24.vhdl
-
-# Shifter_25
-target_dep	all	Shifter_25.ngc
-target_dep	Shifter_25.ngc	Shifter_25.prj
-target_dep	Shifter_25.prj	Shifter_25_Pack.vhdl Shifter_25.vhdl
-
-# Shifter_26
-target_dep	all	Shifter_26.ngc
-target_dep	Shifter_26.ngc	Shifter_26.prj
-target_dep	Shifter_26.prj	Shifter_26_Pack.vhdl Shifter_26.vhdl
-
-# Shifter_27
-target_dep	all	Shifter_27.ngc
-target_dep	Shifter_27.ngc	Shifter_27.prj
-target_dep	Shifter_27.prj	Shifter_27_Pack.vhdl Shifter_27.vhdl
-
-# Shifter_28
-target_dep	all	Shifter_28.ngc
-target_dep	Shifter_28.ngc	Shifter_28.prj
-target_dep	Shifter_28.prj	Shifter_28_Pack.vhdl Shifter_28.vhdl
-
-# Shifter_29
-target_dep	all	Shifter_29.ngc
-target_dep	Shifter_29.ngc	Shifter_29.prj
-target_dep	Shifter_29.prj	Shifter_29_Pack.vhdl Shifter_29.vhdl
-
-# Shifter_2
-target_dep	all	Shifter_2.ngc
-target_dep	Shifter_2.ngc	Shifter_2.prj
-target_dep	Shifter_2.prj	Shifter_20_Pack.vhdl Shifter_20.vhdl Shifter_21_Pack.vhdl Shifter_21.vhdl Shifter_22_Pack.vhdl Shifter_22.vhdl Shifter_23_Pack.vhdl Shifter_23.vhdl Shifter_24_Pack.vhdl Shifter_24.vhdl Shifter_25_Pack.vhdl Shifter_25.vhdl Shifter_26_Pack.vhdl Shifter_26.vhdl Shifter_27_Pack.vhdl Shifter_27.vhdl Shifter_28_Pack.vhdl Shifter_28.vhdl Shifter_29_Pack.vhdl Shifter_29.vhdl Shifter_2_Pack.vhdl Shifter_2.vhdl
-
-# Shifter_30
-target_dep	all	Shifter_30.ngc
-target_dep	Shifter_30.ngc	Shifter_30.prj
-target_dep	Shifter_30.prj	Shifter_30_Pack.vhdl Shifter_30.vhdl
-
-# Shifter_31
-target_dep	all	Shifter_31.ngc
-target_dep	Shifter_31.ngc	Shifter_31.prj
-target_dep	Shifter_31.prj	Shifter_31_Pack.vhdl Shifter_31.vhdl
-
-# Shifter_32
-target_dep	all	Shifter_32.ngc
-target_dep	Shifter_32.ngc	Shifter_32.prj
-target_dep	Shifter_32.prj	Shifter_32_Pack.vhdl Shifter_32.vhdl
-
-# Shifter_33
-target_dep	all	Shifter_33.ngc
-target_dep	Shifter_33.ngc	Shifter_33.prj
-target_dep	Shifter_33.prj	Shifter_33_Pack.vhdl Shifter_33.vhdl
-
-# Shifter_34
-target_dep	all	Shifter_34.ngc
-target_dep	Shifter_34.ngc	Shifter_34.prj
-target_dep	Shifter_34.prj	Shifter_34_Pack.vhdl Shifter_34.vhdl
-
-# Shifter_35
-target_dep	all	Shifter_35.ngc
-target_dep	Shifter_35.ngc	Shifter_35.prj
-target_dep	Shifter_35.prj	Shifter_35_Pack.vhdl Shifter_35.vhdl
-
-# Shifter_36
-target_dep	all	Shifter_36.ngc
-target_dep	Shifter_36.ngc	Shifter_36.prj
-target_dep	Shifter_36.prj	Shifter_36_Pack.vhdl Shifter_36.vhdl
-
-# Shifter_37
-target_dep	all	Shifter_37.ngc
-target_dep	Shifter_37.ngc	Shifter_37.prj
-target_dep	Shifter_37.prj	Shifter_37_Pack.vhdl Shifter_37.vhdl
-
-# Shifter_38
-target_dep	all	Shifter_38.ngc
-target_dep	Shifter_38.ngc	Shifter_38.prj
-target_dep	Shifter_38.prj	Shifter_38_Pack.vhdl Shifter_38.vhdl
-
-# Shifter_39
-target_dep	all	Shifter_39.ngc
-target_dep	Shifter_39.ngc	Shifter_39.prj
-target_dep	Shifter_39.prj	Shifter_39_Pack.vhdl Shifter_39.vhdl
-
-# Shifter_3
-target_dep	all	Shifter_3.ngc
-target_dep	Shifter_3.ngc	Shifter_3.prj
-target_dep	Shifter_3.prj	Shifter_30_Pack.vhdl Shifter_30.vhdl Shifter_31_Pack.vhdl Shifter_31.vhdl Shifter_32_Pack.vhdl Shifter_32.vhdl Shifter_33_Pack.vhdl Shifter_33.vhdl Shifter_34_Pack.vhdl Shifter_34.vhdl Shifter_35_Pack.vhdl Shifter_35.vhdl Shifter_36_Pack.vhdl Shifter_36.vhdl Shifter_37_Pack.vhdl Shifter_37.vhdl Shifter_38_Pack.vhdl Shifter_38.vhdl Shifter_39_Pack.vhdl Shifter_39.vhdl Shifter_3_Pack.vhdl Shifter_3.vhdl
-
-# Shifter_40
-target_dep	all	Shifter_40.ngc
-target_dep	Shifter_40.ngc	Shifter_40.prj
-target_dep	Shifter_40.prj	Shifter_40_Pack.vhdl Shifter_40.vhdl
-
-# Shifter_41
-target_dep	all	Shifter_41.ngc
-target_dep	Shifter_41.ngc	Shifter_41.prj
-target_dep	Shifter_41.prj	Shifter_41_Pack.vhdl Shifter_41.vhdl
-
-# Shifter_42
-target_dep	all	Shifter_42.ngc
-target_dep	Shifter_42.ngc	Shifter_42.prj
-target_dep	Shifter_42.prj	Shifter_42_Pack.vhdl Shifter_42.vhdl
-
-# Shifter_43
-target_dep	all	Shifter_43.ngc
-target_dep	Shifter_43.ngc	Shifter_43.prj
-target_dep	Shifter_43.prj	Shifter_43_Pack.vhdl Shifter_43.vhdl
-
-# Shifter_44
-target_dep	all	Shifter_44.ngc
-target_dep	Shifter_44.ngc	Shifter_44.prj
-target_dep	Shifter_44.prj	Shifter_44_Pack.vhdl Shifter_44.vhdl
-
-# Shifter_45
-target_dep	all	Shifter_45.ngc
-target_dep	Shifter_45.ngc	Shifter_45.prj
-target_dep	Shifter_45.prj	Shifter_45_Pack.vhdl Shifter_45.vhdl
-
-# Shifter_46
-target_dep	all	Shifter_46.ngc
-target_dep	Shifter_46.ngc	Shifter_46.prj
-target_dep	Shifter_46.prj	Shifter_46_Pack.vhdl Shifter_46.vhdl
-
-# Shifter_47
-target_dep	all	Shifter_47.ngc
-target_dep	Shifter_47.ngc	Shifter_47.prj
-target_dep	Shifter_47.prj	Shifter_47_Pack.vhdl Shifter_47.vhdl
-
-# Shifter_48
-target_dep	all	Shifter_48.ngc
-target_dep	Shifter_48.ngc	Shifter_48.prj
-target_dep	Shifter_48.prj	Shifter_48_Pack.vhdl Shifter_48.vhdl
-
-# Shifter_49
-target_dep	all	Shifter_49.ngc
-target_dep	Shifter_49.ngc	Shifter_49.prj
-target_dep	Shifter_49.prj	Shifter_49_Pack.vhdl Shifter_49.vhdl
-
-# Shifter_4
-target_dep	all	Shifter_4.ngc
-target_dep	Shifter_4.ngc	Shifter_4.prj
-target_dep	Shifter_4.prj	Shifter_40_Pack.vhdl Shifter_40.vhdl Shifter_41_Pack.vhdl Shifter_41.vhdl Shifter_42_Pack.vhdl Shifter_42.vhdl Shifter_43_Pack.vhdl Shifter_43.vhdl Shifter_44_Pack.vhdl Shifter_44.vhdl Shifter_45_Pack.vhdl Shifter_45.vhdl Shifter_46_Pack.vhdl Shifter_46.vhdl Shifter_47_Pack.vhdl Shifter_47.vhdl Shifter_48_Pack.vhdl Shifter_48.vhdl Shifter_49_Pack.vhdl Shifter_49.vhdl Shifter_4_Pack.vhdl Shifter_4.vhdl
-
-# Shifter_50
-target_dep	all	Shifter_50.ngc
-target_dep	Shifter_50.ngc	Shifter_50.prj
-target_dep	Shifter_50.prj	Shifter_50_Pack.vhdl Shifter_50.vhdl
-
-# Shifter_51
-target_dep	all	Shifter_51.ngc
-target_dep	Shifter_51.ngc	Shifter_51.prj
-target_dep	Shifter_51.prj	Shifter_51_Pack.vhdl Shifter_51.vhdl
-
-# Shifter_52
-target_dep	all	Shifter_52.ngc
-target_dep	Shifter_52.ngc	Shifter_52.prj
-target_dep	Shifter_52.prj	Shifter_52_Pack.vhdl Shifter_52.vhdl
-
-# Shifter_53
-target_dep	all	Shifter_53.ngc
-target_dep	Shifter_53.ngc	Shifter_53.prj
-target_dep	Shifter_53.prj	Shifter_53_Pack.vhdl Shifter_53.vhdl
-
-# Shifter_5
-target_dep	all	Shifter_5.ngc
-target_dep	Shifter_5.ngc	Shifter_5.prj
-target_dep	Shifter_5.prj	Shifter_50_Pack.vhdl Shifter_50.vhdl Shifter_51_Pack.vhdl Shifter_51.vhdl Shifter_52_Pack.vhdl Shifter_52.vhdl Shifter_53_Pack.vhdl Shifter_53.vhdl Shifter_5_Pack.vhdl Shifter_5.vhdl
-
-# Shifter_6
-target_dep	all	Shifter_6.ngc
-target_dep	Shifter_6.ngc	Shifter_6.prj
-target_dep	Shifter_6.prj	Shifter_6_Pack.vhdl Shifter_6.vhdl
-
-# Shifter_7
-target_dep	all	Shifter_7.ngc
-target_dep	Shifter_7.ngc	Shifter_7.prj
-target_dep	Shifter_7.prj	Shifter_7_Pack.vhdl Shifter_7.vhdl
-
-# Shifter_8
-target_dep	all	Shifter_8.ngc
-target_dep	Shifter_8.ngc	Shifter_8.prj
-target_dep	Shifter_8.prj	Shifter_8_Pack.vhdl Shifter_8.vhdl
-
-# Shifter_9
-target_dep	all	Shifter_9.ngc
-target_dep	Shifter_9.ngc	Shifter_9.prj
-target_dep	Shifter_9.prj	Shifter_9_Pack.vhdl Shifter_9.vhdl
-
